import request from '@/utils/request'

// 查询商品标签列表
export function listMallGoodsTag(query) {
  return request({
    url: '/mall/mallGoodsTag/list',
    method: 'get',
    params: query
  })
}

// 查询商品标签下拉框列表
export function selectListMallGoodsTag(query) {
  return request({
    url: '/mall/mallGoodsTag/selectList',
    method: 'get',
    params: query
  })
}

// 查询商品标签详细
export function getMallGoodsTag(id) {
  return request({
    url: '/mall/mallGoodsTag/' + id,
    method: 'get'
  })
}

// 新增商品标签
export function addMallGoodsTag(data) {
  return request({
    url: '/mall/mallGoodsTag',
    method: 'post',
    data: data
  })
}

// 修改商品标签
export function updateMallGoodsTag(data) {
  return request({
    url: '/mall/mallGoodsTag',
    method: 'put',
    data: data
  })
}

// 删除商品标签
export function delMallGoodsTag(id) {
  return request({
    url: '/mall/mallGoodsTag/' + id,
    method: 'delete'
  })
}

// 导出商品标签
export function exportMallGoodsTag(query) {
  return request({
    url: '/mall/mallGoodsTag/export',
    method: 'get',
    params: query
  })
}
